Package com.orchestranetworks.ui.action

# Class DisplayMode.ModalMedium

java.lang.Object
com.orchestranetworks.ui.action.DisplayMode
com.orchestranetworks.ui.action.DisplayMode.ModalMedium

Enclosing class:
  DisplayMode

public static final class DisplayMode.ModalMedium extends DisplayMode
Indicates that the modal should be of the built-in medium size.

Since:
  5.9.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.orchestranetworks.ui.action.DisplayMode

  `DisplayMode.ModalCustom, DisplayMode.ModalMedium, DisplayMode.Workspace`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DisplayMode.ModalMedium`
  `asModalMedium()`
  If this instance is a `DisplayMode.ModalMedium`, casts it and returns it.
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `boolean`
  `isModalMedium()`
  Indicates if this instance is a `DisplayMode.ModalMedium`.
  `boolean`
  `isResizable()`
  `String`
  `toString()`

  ### Methods inherited from class com.orchestranetworks.ui.action.DisplayMode

  `asModalCustom, asWorkspace, isModalCustom, isWorkspace, modalCustom, modalMedium, workspace`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### isModalMedium

    public boolean isModalMedium()
    Description copied from class: `DisplayMode`
    Indicates if this instance is a `DisplayMode.ModalMedium`.
    Overrides:
      `isModalMedium` in class `DisplayMode`

  - ### asModalMedium

    public DisplayMode.ModalMedium asModalMedium()
    Description copied from class: `DisplayMode`
    If this instance is a `DisplayMode.ModalMedium`, casts it and returns it. Returns `null` otherwise.
    Overrides:
      `asModalMedium` in class `DisplayMode`

  - ### isResizable

    public boolean isResizable()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`